import { Component } from '@angular/core';
import { RouterLink } from '@angular/router';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { faMoneyBillTransfer, faCreditCard, faWallet } from '@fortawesome/free-solid-svg-icons';
import { faPaypal, faGooglePay, faApplePay } from '@fortawesome/free-brands-svg-icons';

@Component({
  selector: 'app-footer',
  standalone: true,
  templateUrl: './footer.component.html',
  imports: [FontAwesomeModule],
})
export class FooterComponent {
  currentYear: number = new Date().getFullYear();

  // Payment method icons
  faPaypal = faPaypal;
  faCreditCard = faCreditCard;
  faMoneyBillTransfer = faMoneyBillTransfer;
  faWallet = faWallet;
  faGooglePay = faGooglePay;
  faApplePay = faApplePay;
}
